Subject: Re: [bug#48525] [PATCH core-updates] gnu: rust: Add profiling support.

From: Marius Bakke <[email-masked]>
Date: Tue, 25 May 2021 22:35:19 +0200

"Milkey Mouse" <[email-masked]> skriver:

> On Sun May 23, 2021 at 7:20 AM PDT, Marius Bakke wrote:
>> Instead of backporting this patch to 1.49, I think it would be better to
>> switch the default Rust to the latest version before enabling profiling
>> support.
>
> OK, I will submit a v2 of the patch. Should I do so as a reply, or
> close this thread by emailing the @debbugs.gnu.org address? I'm still a
> little new to email- and patch-based workflows.

Simply replying to this issue is great.

>> Unfortunately 1.50 currently fails to build on core-updates, so we'll
>> need a volunteer to fix that. Would you like to give it a try? :-)
>
> rust-1.50? It builds fine for me. I am on commit 42162c84dc (with this
> patch on top):
>
>     $ ./pre-inst-env guix build [email-masked]
>     /gnu/store/klr7jrzxl3mzprd88f857kw5mam15h78-rust-1.50.0-cargo
>     /gnu/store/3x656k3s66kjb87aphly9p5v401af863-rust-1.50.0-doc
>     /gnu/store/nkkfvyl52mmvx12ccwvs54c44yns4yk5-rust-1.50.0
>     /gnu/store/kq4i7q55gxfl47124vfkiqzp5bi7737r-rust-1.50.0-rustfmt
>
> I suppose I should note I don't use substitutes--but that shouldn't
> make a difference, should it?

Oh you're right, it does work!  Sorry for the confusion.  It must have
been a transient failure on my end last I tried it.  Substitutes should
not make a difference -- the end result should (ideally) be
bit-identical in either case.

I suppose we can promote Rust 1.52 to the default unless there are
big(?) compatibility problems.  IIRC the upcoming librsvg requires it.

Thanks!
Marius